Bug 1025270 - gnome-color-manager should drop libmash and rply deps
gnome-color-manager should drop libmash and rply deps
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-color-manager (Show other bugs)
7.0
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Richard Hughes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 06:56 EDT by Richard Hughes
Modified: 2014-06-18 03:17 EDT (History)
1 user (show)

See Also:
Fixed In Version: gnome-color-manager-3.8.2-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:49:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Hughes 2013-10-31 06:56:25 EDT
GNOME Color Manager has an optional feature of a 3D gamut graph in the advanced user profile viewer. It's really only useful for color geeks and drags in a whole heap of deps that nothing else in the stack uses.

If we remove clutter support for gnome-color-manager then we can remove both rply and libmash from rhel-7. These two packages have got a significant number of non-trivial multiarch bugs, and at this stage I think it's safer to just remove the tiny feature than waste time on the two other packages getting them to build correctly in RHEL.

This is the patch needed for gnome-color-manager:

diff --git a/gnome-color-manager.spec b/gnome-color-manager.spec
index 0b90366..a20f694 100644
--- a/gnome-color-manager.spec
+++ b/gnome-color-manager.spec
@@ -38,8 +38,6 @@ BuildRequires: libcanberra-devel
 BuildRequires: glib2-devel >= 2.25.9-2
 BuildRequires: docbook-utils
 BuildRequires: colord-devel >= 0.1.12
-BuildRequires: libmash-devel
-BuildRequires: clutter-gtk-devel
 BuildRequires: gnome-desktop3-devel
 BuildRequires: itstool
 BuildRequires: colord-gtk-devel
@@ -59,7 +57,7 @@ and generate color profiles in the GNOME desktop.
 %setup -q
 
 %build
-%configure --disable-scrollkeeper --disable-schemas-install
+%configure --disable-scrollkeeper --disable-schemas-install --disable-clutter
 make %{?_smp_mflags}

And only a simple rebuild is required after that.
Comment 2 Vladimir Benes 2013-12-11 10:07:30 EST
There is no 3d gamut and deps are gone
Comment 3 Ludek Smid 2014-06-13 05:49:35 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.